# $Revision: 1.72.2.4 $, $Date: 2006/12/08 00:56:00 $
# TODO:
# - depends on binutils, why?
#
Summary:	Unix port of eMule client
Summary(pl):	Uniksowy port klienta eMule
Name:		aMule
Version:	2.1.3
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://download.berlios.de/amule/%{name}-%{version}.tar.bz2
# Source0-md5:	0aafdd159edb8ad5f0064da87998b47d
Patch0:		%{name}-configure_in.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-cas-datadir.patch
URL:		http://www.amule.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7.3
BuildRequires:	bison
#BuildRequires:	cryptopp-devel >= 5.1
BuildRequires:	curl-devel >= 7.9.7
BuildRequires:	expat-devel
BuildRequires:	gd-devel
BuildRequires:	gettext-autopoint
BuildRequires:	gettext-devel >= 0.11.5
BuildRequires:	gtk+2-devel >= 2:2.2.0
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	wxGTK2-unicode-devel
Requires:	wget
Obsoletes:	lmule
Obsoletes:	xmule
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
aMule is a Linux port of eMule client.

%description -l pl
aMule to linuksowy port klienta eMule.

%package plugin-xchat
Summary:	Xchat plugin
Summary(pl):	Wtyczka dla xchat
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	xchat
Provides:	%{name}-plugin-xchat

%description plugin-xchat
Plugin for Xchat IRC client.

%description plugin-xchat -l pl
Wtczka dla klienta IRC xchat.

%package alc
Summary:	Ed2k link creator for aMule
Summary(pl):	Kreator linkw ed2k dla aMule
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Provides:	alc

%description alc
Tool for creating ed2k links.

%description alc -l pl
Narzdzie do tworzenia linkw ed2k.

%package cas
Summary:	aMule online stats
Summary(pl):	Statystyki online aMule
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Provides:	cas

%description cas
Tool for generating aMule online stats.

%description cas -l pl
Narzdzie do generownia statystyk aMule.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-wx-config=wx-gtk2-unicode-config		\
	--%{?debug:en}%{!?debug:dis}able-debug		\
	--%{?debug:dis}%{!?debug:en}able-optimize	\
	--enable-amule-daemon				\
	--enable-amule-gui				\
	--enable-amulecmd				\
	--enable-amulecmdgui				\
	--enable-webserver				\
	--enable-webservergui				\
	--enable-cas					\
	--enable-wxcas					\
	--enable-alc					\
	--enable-alcc					\
	--enable-kad-compile

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/et{_EE,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/ko{_KR,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/pt{_PT,}

%find_lang amule

%clean
rm -rf $RPM_BUILD_ROOT

%files -f amule.lang
%defattr(644,root,root,755)
%doc docs/AUTHORS docs/README docs/Changelog docs/ED2K-Links.HOWTO docs/TODO docs/amulesig.txt
%attr(755,root,root) %{_bindir}/amule*
%attr(755,root,root) %{_bindir}/ed2k
%dir %{_datadir}/amule
%{_datadir}/amule/webserver
%{_desktopdir}/amule.desktop
%{_pixmapsdir}/amule.xpm
%{_mandir}/man1/amule*
%{_mandir}/man1/ed2k*
%{_mandir}/man1/xas*
%lang(de) %{_mandir}/de/man1/amule*
%lang(de) %{_mandir}/de/man1/ed2k*
%lang(de) %{_mandir}/de/man1/xas*
%lang(es) %{_mandir}/es/man1/amule*
%lang(es) %{_mandir}/es/man1/ed2k*
%lang(es) %{_mandir}/es/man1/xas*
%lang(fr) %{_mandir}/fr/man1/amule*
%lang(fr) %{_mandir}/fr/man1/ed2k*
%lang(hu) %{_mandir}/hu/man1/amule*
%lang(hu) %{_mandir}/hu/man1/ed2k*
%lang(hu) %{_mandir}/hu/man1/xas*

%files plugin-xchat
%defattr(644,root,root,755)
%{_libdir}/xchat/plugins/xas.pl

%files alc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/alc*
%{_desktopdir}/alc.desktop
%{_pixmapsdir}/alc.xpm
%{_mandir}/man1/alc*
%lang(de) %{_mandir}/de/man1/alc*
%lang(es) %{_mandir}/es/man1/alc*
%lang(fr) %{_mandir}/fr/man1/alc*
%lang(hu) %{_mandir}/hu/man1/alc*

%files cas
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*cas
%{_datadir}/amule/cas
%{_desktopdir}/*cas.desktop
%{_pixmapsdir}/wxcas.xpm
%{_mandir}/man1/*cas*
%lang(de) %{_mandir}/de/man1/*cas*
%lang(es) %{_mandir}/es/man1/*cas*
%lang(hu) %{_mandir}/hu/man1/*cas*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aMule.spec,v $
Revision 1.72.2.4  2006/12/08 00:56:00  glen
- -plugin-xchat R: xchat; rel 2

Revision 1.72.2.3  2006/06/21 13:53:01  megabajt
- add CVE ref to 2.1.2 release

Revision 1.72.2.2  2006/06/12 13:06:32  charles
- updated to 2.1.3 (bugfixes release)

Revision 1.72.2.1  2006/06/06 01:51:20  charles
- updated to 2.1.2 (bugfixes release)
- resolves CVE-2006-2691 CVE-2006-2692

Revision 1.72  2006/03/31 23:05:52  adgor
- 2.1.1

Revision 1.71  2006/01/15 22:40:34  ankry
- one more locale fix, rel. 2

Revision 1.70  2006/01/03 02:00:14  charles
- BR wxGTK2-unicode-devel instead of wxGTK2-devel
- updated %configure (amule-gui, kad-compile)
- removed obsolete TODOs

Revision 1.69  2006/01/02 21:15:01  arekm
- up to 2.1.0

Revision 1.68  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.67  2005/07/26 10:55:47  arekm
- rel 3

Revision 1.66  2005/07/10 12:41:47  arekm
- rel 2; rebuild

Revision 1.65  2005/06/16 13:35:50  kosmo
- updated to 2.0.3
- changed source URL

Revision 1.64  2005/06/06 00:26:48  undefine
- cosmetics

Revision 1.63  2005/06/05 21:42:07  koorek
- up to 2.0.2

Revision 1.62  2005/05/26 22:31:27  pawcioos
- missing BR: gettext-autopoint

Revision 1.61  2005/05/22 12:33:26  glen
- why it depends on binutils?

Revision 1.60  2005/05/21 08:05:27  adgor
- 2.0.1

Revision 1.59  2005/05/20 22:36:57  qboosh
- missing defattrs

Revision 1.58  2005/05/14 20:41:52  ankry
- one more desktop fix, rel. 3

Revision 1.57  2005/05/14 11:24:14  ankry
- locale renamed, rel. 2

Revision 1.56  2005/05/12 15:43:35  koorek
- subpackage R fix

Revision 1.55  2005/05/12 15:41:59  koorek
- subpackages for xchat plugin and some tools

Revision 1.54  2005/05/09 11:06:27  paladine
- added TODO

Revision 1.53  2005/05/07 16:45:59  qboosh
- missing dir, unified order

Revision 1.52  2005/05/07 12:34:45  kosmo
- more features

Revision 1.51  2005/05/03 21:42:30  paszczus
- release 1

Revision 1.50  2005/05/03 21:28:46  paszczus
- fixed typo, typos...

Revision 1.49  2005/05/03 21:10:47  paszczus
- added mandir and webserver dir

Revision 1.48  2005/05/03 20:43:30  paszczus
- removed missing files

Revision 1.47  2005/05/03 15:39:50  qboosh
- removed _rc leftover

Revision 1.46  2005/05/03 15:22:05  qboosh
- updated wx-config for wx 2.6.0

Revision 1.45  2005/05/03 15:14:32  paszczus
- give up...

Revision 1.44  2005/05/03 15:12:04  paszczus
- last try and give up...

Revision 1.43  2005/05/03 15:07:41  paszczus
- not needed

Revision 1.42  2005/05/03 15:04:27  paszczus
- maybe this BR is correct?

Revision 1.41  2005/05/03 07:42:18  paszczus
- updated BRs

Revision 1.40  2005/05/03 07:37:54  paszczus
- fixed last commit message [2.0.0]

Revision 1.39  2005/05/03 07:37:21  paszczus
- updated to FINAL 2.0.0

Revision 1.38  2005/02/09 21:07:37  qboosh
- missing dir

Revision 1.37  2005/02/09 11:25:18  kosmo
- enabled jazzy features

Revision 1.36  2005/01/25 22:28:27  qboosh
- cleanup

Revision 1.35  2005/01/25 12:01:03  matowy
- now build

Revision 1.34  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.33  2004/12/23 12:17:43  paszczus
- updated to 2.0.0rc8

Revision 1.32  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.31  2004/11/26 13:33:40  paladine
- sorted BRs and Obsoltes
- added desktop patch
- removed Source0-size
- rel 0.rc.2

Revision 1.30  2004/11/04 13:31:51  paladine
- spaces->tabs
- cosmetics

Revision 1.29  2004/10/24 10:16:54  dzeus
- up to 2.0.0-rc7 (tnx Mateusz Murawski)

Revision 1.28  2004/10/07 06:09:47  adamg
- updated to rc6 (based on work by Pawel Serej)
- added configure_in.patch

Revision 1.27  2004/08/18 22:11:45  qboosh
- aMule doesn't use libidn, this BR belongs to curl-devel

Revision 1.26  2004/08/14 12:24:56  misi3k
- more br: libidn-devel

Revision 1.25  2004/08/14 12:16:31  misi3k
- rel++
- added br: cryptopp-devel

Revision 1.24  2004/08/14 09:10:12  misi3k
- updated to 2.0.0rc5, NFY

Revision 1.23  2004/07/14 18:38:30  havner
- rel 2 for rebuild with new curl

Revision 1.22  2004/03/25 00:49:44  andree
- obsoletes xmule, lmule

Revision 1.21  2004/03/19 00:57:44  undefine
- change url/source0url

Revision 1.20  2004/02/18 06:53:20  misi3k
- updated to 1.2.6

Revision 1.19  2004/02/13 16:50:10  misi3k
- updated to 1.2.5

Revision 1.18  2004/01/13 20:20:04  krolik
- updated to 1.2.4

Revision 1.17  2004/01/13 00:45:12  pawelb
- changed:  AUTHORS -> docs/AUTHORS

Revision 1.16  2004/01/04 02:31:49  undefine
- update to 1.2.3

Revision 1.15  2003/12/16 13:55:38  undefine
- BR: curl-devel >= 7.9.7

Revision 1.14  2003/12/14 22:43:05  qboosh
- removed BR wxBase, fixed wxWindows.spec instead

Revision 1.13  2003/12/14 20:45:03  undefine
- BR: wxBase (why wxBase-devel doesn't require wxBase??)

Revision 1.12  2003/12/14 19:58:20  undefine
- typo

Revision 1.11  2003/12/14 19:00:38  undefine
- fix docs

Revision 1.10  2003/12/14 18:45:20  undefine
- update to 1.2.1, enable optimize...

Revision 1.9  2003/11/28 14:10:48  havner
- version 1.2.0

Revision 1.8  2003/11/15 20:50:29  andree
- updated to 1.1.2
- added build -> aclocal, autoconf, autoheader, automake
- added patch0 -> make install in po/ error
- modified find_lang (works ok)

Revision 1.7  2003/10/17 19:40:54  misi3k
- updated to 1.0.9

Revision 1.6  2003/09/30 13:57:10  qboosh
- find_lang in install, not clean!

Revision 1.5  2003/09/25 09:52:42  misi3k
- rel 1
- updated to 1.0.6
- added %find_lang macro

Revision 1.4  2003/09/21 16:19:44  misi3k
- typo

Revision 1.3  2003/09/21 04:38:52  misi3k
- md5

Revision 1.2  2003/09/21 04:30:46  misi3k
- rel 1
- gtk2, typo

Revision 1.1  2003/08/27 19:45:27  misi3k
- new
